Modify login.html

Hi all,
sorry for the stupid question. I’ve made some changes to login.html (under app/templates/registration/login.html), but also restarting either docker either webdom, I always see the original one. Why? thanks a lot a sorry for the dummy question, but I cannot understand.

Make sure you start the app with the --dev flag:

./webodm.sh start --dev

Thanks a lot.
I don’t know why, but now I am receiving the following error:

Removing network webodm_default
Exception in thread Thread-16:
Traceback (most recent call last):
File “site-packages\docker\api\client.py”, line 246, in _raise_for_status
File “site-packages\requests\models.py”, line 940, in raise_for_status
requests.exceptions.HTTPError: 409 Client Error: Conflict for url: https://192.168.99.100:2376/v1.24/containers/b1dc23a51a71225abd4e5955063c91fd9eb4647d71c6beaf8686a0564bb45c0a/attach?logs=0&stdout=1&stderr=1&stream=1

During handling of the above exception, another exception occurred:

Removing network webodm_default
Exception in thread Thread-16:
Traceback (most recent call last):
File “site-packages\docker\api\client.py”, line 246, in _raise_for_status
File “site-packages\requests\models.py”, line 940, in raise_for_status
requests.exceptions.HTTPError: 409 Client Error: Conflict for url: https://192.168.99.100:2376/v1.24/containers/b1dc23a51a71225abd4e5955063c91fd9eb4647d71c6beaf8686a0564bb45c0a/attach?logs=0&stdout=1&stderr=1&stream=1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “threading.py”, line 916, in _bootstrap_inner
File “threading.py”, line 864, in run
File “compose\cli\log_printer.py”, line 233, in watch_events
File “compose\container.py”, line 215, in attach_log_stream
File “compose\container.py”, line 307, in attach
File “site-packages\docker\utils\decorators.py”, line 19, in wrapped
File “site-packages\docker\api\container.py”, line 57, in attach
File “site-packages\docker\api\client.py”, line 385, in _read_from_socket
File “site-packages\docker\api\client.py”, line 296, in _get_raw_response_socket
File “site-packages\docker\api\client.py”, line 248, in _raise_for_status
File “site-packages\docker\errors.py”, line 31, in create_api_error_from_http_exception
docker.errors.APIError: 409 Client Error: Conflict (“b’container b1dc23a51a71225abd4e5955063c91fd9eb4647d71c6beaf8686a0564bb45c0a is restarting, wait until the container is running’”)

Using the following environment:

Host: localhost
Port: 8000
Media directory: appmedia
SSL: NO
SSL key:
SSL certificate:
SSL insecure port redirect: 80
Celery Broker: redis://broker
Default Nodes: 1

Make sure to issue a ./webodm.sh down if you decide to change the environment.

docker-compose -f docker-compose.yml -f docker-compose.nodeodm.yml -f docker-compose.dev.yml start || docker-compose -f docker-compose.yml -f docker-compose.nodeodm.yml -f docker-compose.dev.yml up --scale node-odm=1
Starting broker … done
Starting node-odm … done
Starting db … done
Starting worker … done
Starting webapp … done
No containers to start
Creating network “webodm_default” with the default driver
Creating broker … done
Creating db … done
Creating webodm_node-odm_1 … done
Creating worker … done
Creating webapp … done
Attaching to broker, webodm_node-odm_1, db, worker, webapp
broker | 1:C 30 Jun 2020 12:10:01.610 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
broker | 1:C 30 Jun 2020 12:10:01.611 # Redis version=6.0.5, bits=64, commit=00000000, modified=0, pid=1, just started
broker | 1:C 30 Jun 2020 12:10:01.611 # Warning: no config file specified, using the default config. In order to specify a config file use redis-server /path/to/redis.conf
broker | 1:M 30 Jun 2020 12:10:01.612 * Running mode=standalone, port=6379.
broker | 1:M 30 Jun 2020 12:10:01.614 # WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn is set to the lower value of 128.
broker | 1:M 30 Jun 2020 12:10:01.614 # Server initialized
broker | 1:M 30 Jun 2020 12:10:01.614 # WARNING overcommit_memory is set to 0! Background save may fail under low memory condition. To fix this issue add ‘vm.overcommit_memory = 1’ to /etc/sysctl.conf and then reboot or run the command ‘sysctl vm.overcommit_memory=1’ for this to take effect.
db | LOG: database system was shut down at 2020-06-30 12:09:58 UTC
db | LOG: MultiXact member wraparound protections are now enabled
worker | /bin/bash: /webodm/wait-for-postgres.sh: No such file or directory
db | LOG: database system is ready to accept connections
worker exited with code 127
webapp | chmod: cannot access ‘/webodm/*.sh’: No such file or directory
webapp exited with code 1
node-odm_1 | info: Authentication using NoTokenRequired
node-odm_1 | info: Listening on 0.0.0.0:6367 UDP for progress updates
node-odm_1 | info: No tasks dump found
node-odm_1 | info: Checking for orphaned directories to be removed…
webapp exited with code 1
worker exited with code 127
webapp exited with code 1
worker exited with code 127
webapp exited with code 1

and webodm is not able to start.
Any idea? Thanks a lot.

Not sure about that one, sorry!

Thanks anyway. I solved running
./webodm.sh update

2 Likes

Thanks for letting us know!

1 Like